2nd Gen & Kindle app

Discussion in 'iPod touch' started by haumana, Jan 31, 2013.

  1. macrumors member

    Joined:
    Oct 10, 2008
    #1
    I have a freshly reset 2nd Gen iTouch. It used to have the Kindle app on it, which worked fine. But since it's been reset (which I had no control over), I cannot get the Kindle app, and many other apps back on to the iTouch because it's telling me that iOS version is too obsolete.

    Does anyone know how I can get the Kindle app, back on the 2nd Gen? I tried to do a restore, but it said that the restore via iTunes will not work.
     
  2. macrumors 6502a

    Joined:
    Mar 29, 2011
    Location:
    Orlando, Florida
    #2
    Says it right at the Kindle app -- Requires iOS 5.0 or later.
     
  3. RMo
    macrumors 65816

    Joined:
    Aug 7, 2007
    Location:
    Iowa, USA
    #3
    You may be able to put an old version back if you have a backup of the application. If you have a backup, like in Time Machine or another setup you have, check your /Users/username/Music/iTunes/Mobile Applications folder (in that backup) for a .IPA file for the Kindle app. Drag this IPA file into iTunes, and it should work. (I am, of course, assuming you use iTunes to sync apps and whatnot on your device.)

    The above poster is right that the current version only works with iOS 5+. But he or she doesn't seem to understand that if you had, for example, an old, supported version of Kindle on your iPod, when iTunes downloads a new one and discovers during a sync that it requires a newer version, iTunes keeps the old version on the iPod, the new version in iTunes, and then awkwardly leaves things that way, creating problems during times like these.
     

Share This Page